Accounts
Set Messenger menu
Replaces the page’s persistent menu (Meta menu objects, passthrough). Requires scope social:write.
PUT
/
social
/
accounts
/
{account_id}
/
messenger
/
menu
Set Messenger menu
curl --request PUT \
--url https://api.smartlyq.com/v1/social/accounts/{account_id}/messenger/menu \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"persistent_menu": [
{
"locale": "default",
"call_to_actions": [
{
"type": "web_url",
"title": "Shop now",
"url": "https://acme.shop"
}
]
}
]
}
'import requests
url = "https://api.smartlyq.com/v1/social/accounts/{account_id}/messenger/menu"
payload = { "persistent_menu": [
{
"locale": "default",
"call_to_actions": [
{
"type": "web_url",
"title": "Shop now",
"url": "https://acme.shop"
}
]
}
] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
persistent_menu: [
{
locale: 'default',
call_to_actions: [{type: 'web_url', title: 'Shop now', url: 'https://acme.shop'}]
}
]
})
};
fetch('https://api.smartlyq.com/v1/social/accounts/{account_id}/messenger/menu', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": {
"persistent_menu": [
{
"locale": "default",
"call_to_actions": [
{
"type": "web_url",
"title": "Shop now",
"url": "https://acme.shop"
}
]
}
]
},
"meta": {
"request_id": "req_9f3a2b1c-7d4e-4a08-b2c6-5e1f8a9d0c34",
"timestamp": "2026-07-26T09:41:22Z"
}
}{
"success": false,
"error": {
"code": "INVALID_API_KEY",
"message": "Missing or malformed Authorization header",
"details": {}
},
"meta": {
"request_id": "req_9f3a2b1c-7d4e-4a08-b2c6-5e1f8a9d0c34",
"timestamp": "2026-07-26T09:41:22Z"
}
}{
"success": false,
"error": {
"code": "RESOURCE_NOT_FOUND",
"message": "Post not found.",
"details": {}
},
"meta": {
"request_id": "req_9f3a2b1c-7d4e-4a08-b2c6-5e1f8a9d0c34",
"timestamp": "2026-07-26T09:41:22Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Missing required fields: content, platforms.",
"details": {
"fields": [
"content",
"platforms"
]
}
},
"meta": {
"request_id": "req_9f3a2b1c-7d4e-4a08-b2c6-5e1f8a9d0c34",
"timestamp": "2026-07-26T09:41:22Z"
}
}{
"success": false,
"error": {
"code": "PLATFORM_ERROR",
"message": "The platform rejected the request."
},
"meta": {
"request_id": "req_9f3a2b1c-7d4e-4a08-b2c6-5e1f8a9d0c34",
"timestamp": "2026-07-26T09:41:22Z"
}
}⌘I
Set Messenger menu

